Bug 838282 - [abrt] mysql-workbench-5.2.40-1.fc17: __libc_message: Process /usr/bin/mysql-workbench-bin was killed by signal 6 (SIGABRT)
[abrt] mysql-workbench-5.2.40-1.fc17: __libc_message: Process /usr/bin/mysql-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:69f8c5ff5422c572d374eec5ad6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 04:45 EDT by oliver.zemann
Modified: 2012-09-12 08:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 08:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.77 KB, text/plain)
2012-07-08 04:45 EDT, oliver.zemann
no flags Details
File: smolt_data (5.05 KB, text/plain)
2012-07-08 04:45 EDT, oliver.zemann
no flags Details
File: maps (83.44 KB, text/plain)
2012-07-08 04:45 EDT, oliver.zemann
no flags Details
File: dso_list (15.11 KB, text/plain)
2012-07-08 04:45 EDT, oliver.zemann
no flags Details
File: build_ids (6.57 KB, text/plain)
2012-07-08 04:45 EDT, oliver.zemann
no flags Details

  None (edit)
Description oliver.zemann 2012-07-08 04:45:30 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/mysql-workbench-bin
comment:        just created a few tables ...
crash_function: __libc_message
executable:     /usr/bin/mysql-workbench-bin
kernel:         3.3.7-1.fc17.x86_64
pid:            10149
pwd:            /home/oli
time:           So 08 Jul 2012 10:35:31 CEST
uid:            1000
username:       oli

backtrace:      Text file, 65302 bytes
build_ids:      Text file, 6724 bytes
dso_list:       Text file, 15474 bytes
maps:           Text file, 85443 bytes
smolt_data:     Text file, 5170 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/oli/1

core_backtrace:
:ff8d78c2ca513147704d025ce84fe9304f7ef445 0x35965 raise libc.so.6 -
:ff8d78c2ca513147704d025ce84fe9304f7ef445 0x37118 abort libc.so.6 -
:ff8d78c2ca513147704d025ce84fe9304f7ef445 0x7568b __libc_message libc.so.6 -
:ff8d78c2ca513147704d025ce84fe9304f7ef445 0x7c80e _int_free libc.so.6 -
:df7568f30bb96c5460a43b07e3dfbf514bb0035f 0x896ad grt::internal::List::~List() libgrt.so.0 -
:df7568f30bb96c5460a43b07e3dfbf514bb0035f 0x8c45f grt::internal::OwnedList::~OwnedList() libgrt.so.0 -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x495b3b wb::WBContextModel::diagram_object_list_changed(grt::internal::OwnedList*, [exe] -
:df7568f30bb96c5460a43b07e3dfbf514bb0035f 0x94d9c boost::signals2::detail::signal3_impl<void, libgrt.so.0 -
:c570777b24f11b0d59390a8d6c644f0a5e3ce47c 0x4048df model_Diagram::ImplData::select_object(grt::Ref<model_Object> libwbpublic.so.0 -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x6c24a5 wb::WBComponentPhysical::place_db_object_grt(grt::GRT*, [exe] -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x6d2913 wb::WBComponentPhysical::place_new_db_object_grt(grt::GRT*, [exe] -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x6ee903 boost::_mfi::mf4<grt::ValueRef, [exe] -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x6ee938 boost::detail::function::function_obj_invoker1<boost::_bi::bind_t<grt::ValueRef, [exe] -
:c570777b24f11b0d59390a8d6c644f0a5e3ce47c 0x2a96af boost::function1<grt::ValueRef, libwbpublic.so.0 -
:c570777b24f11b0d59390a8d6c644f0a5e3ce47c 0x2a9702 GRTSimpleTask::execute(grt::GRT*) libwbpublic.so.0 -
:c570777b24f11b0d59390a8d6c644f0a5e3ce47c 0x2a5b18 bec::GRTDispatcher::execute_task(bec::GRTTaskBase*) libwbpublic.so.0 -
:c570777b24f11b0d59390a8d6c644f0a5e3ce47c 0x2a61d6 bec::GRTDispatcher::worker_thread(void*) libwbpublic.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7d14 start_thread libpthread.so.0 -
:ff8d78c2ca513147704d025ce84fe9304f7ef445 0xf19bd clone libc.so.6 -

environ:
:LD_PRELOAD=/$LIB/libSegFault.so
:SEGFAULT_OUTPUT_NAME=/tmp/segv_output.bf1DHa
:SEGFAULT_USE_ALTSTACK=1
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=lucy
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=10140
:GPG_AGENT_INFO=/run/user/oli/keyring-HvtrHy/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/oli/keyring-HvtrHy
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=oli
:LD_LIBRARY_PATH=/usr/lib64/mysql-workbench
:SSH_AUTH_SOCK=/run/user/oli/keyring-HvtrHy/ssh
:USERNAME=oli
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/883,unix/unix:/tmp/.ICE-unix/883
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/MySQLWorkbench.desktop
:MAIL=/var/spool/mail/oli
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/oli/.local/bin:/home/oli/bin:/usr/share/mysql-workbench/python
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/oli
:XMODIFIERS=@im=none
:LANG=de_DE.utf8
:MWB_PLUGIN_DIR=/usr/lib64/mysql-workbench/plugins
:'MYSQL_UTILITIES_COMMANDS=mysqlmetagrep mysqlserverinfo mysqlrplcheck mysqlrpladmin mysqlfailover mysqlprocgrep mysqldbexport mysqldiskusage mysqldiff mysqldbcopy mysqlreplicate mysqldbcompare mysqluserclone mysqlserverclone mysqldbimport mysqlindexcheck mysqlrplshow'
:GDM_LANG=de_DE.utf8
:MWB_DATA_DIR=/usr/share/mysql-workbench
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/oli
:SHLVL=3
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DBC_DRIVER_PATH=/usr/lib64/mysql-workbench
:LOGNAME=oli
:PYTHONPATH=/usr/share/mysql-workbench/python
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-APBoqlTYjN,guid=cdecc57edb1bd0ed9583ee4100000013
:MWB_MODULE_DIR=/usr/lib64/mysql-workbench/modules
:MWB_LIBRARY_DIR=/usr/share/mysql-workbench/libraries
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/oli
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-oli-GGqTAQ/database
:_=/usr/bin/mysql-workbench-bin

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 128167               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       128167               128167               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/oli/.xsession-errors
:pos:	237193
:flags:	0102002
:2:/home/oli/.xsession-errors
:pos:	237193
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[476898]
:pos:	0
:flags:	02000000
:5:pipe:[476898]
:pos:	0
:flags:	02000001
:6:socket:[476899]
:pos:	0
:flags:	02004002
:7:socket:[487361]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:/home/oli/.mysql/workbench/newmodel.mwbd/lock
:pos:	6
:flags:	0100001
:10:/tmp/mysql-workbench.oli/bfb44d18-c8ca-11e1-8c15-bc0543042ab7.db
:pos:	5120
:flags:	02100002
:11:/dev/urandom
:pos:	0
:flags:	02100000
:12:socket:[517555]
:pos:	0
:flags:	02004002
:13:/tmp/mysql-workbench.oli/b31eaf64-c8d7-11e1-8c15-bc0543042ab7.db
:pos:	1024
:flags:	02100002
:14:/tmp/segv_output.bf1DHa
:pos:	1557
:flags:	0100001

var_log_messages:
:Jul  8 10:35:31 lucy abrt[12988]: File '/usr/bin/mysql-workbench-bin.#prelink#.MiDqRw' seems to be deleted
:Jul  8 10:35:31 lucy abrt[12988]: File '/usr/bin/mysql-workbench-bin.#prelink#.MiDqRw' seems to be a prelink temporary file
:Jul  8 10:35:31 lucy abrt[12988]: Saved core dump of pid 10149 (/usr/bin/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-07-08-10:35:31-10149 (93253632 bytes)

xsession_errors:
:(mysql-workbench-bin:10149): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:*** glibc detected *** /usr/bin/mysql-workbench-bin: double free or corruption (fasttop): 0x00007f88d019dd40 ***
:/usr/bin/mysql-workbench-bin(_ZN2wb14WBContextModel27diagram_object_list_changedEPN3grt8internal9OwnedListEbRKNS1_8ValueRefEPNS_16ModelDiagramFormE+0x6b)[0x895b3b]
:/usr/bin/mysql-workbench-bin(_ZN2wb19WBComponentPhysical19place_db_object_grtEPN3grt3GRTEPNS_16ModelDiagramFormERKN5MySQL8Geometry5PointERKNS1_3RefI17db_DatabaseObjectEEb+0x8a5)[0xac24a5]
:/usr/bin/mysql-workbench-bin(_ZN2wb19WBComponentPhysical23place_new_db_object_grtEPN3grt3GRTEPNS_16ModelDiagramFormERKN5MySQL8Geometry5PointENS_10ObjectTypeE+0x383)[0xad2913]
:/usr/bin/mysql-workbench-bin(_ZNK5boost4_mfi3mf4IN3grt8ValueRefEN2wb19WBComponentPhysicalEPNS2_3GRTEPNS4_16ModelDiagramFormERKN5MySQL8Geometry5PointENS4_10ObjectTypeEEclEPS5_S7_S9_SE_SF_+0x33)[0xaee903]
:/usr/bin/mysql-workbench-bin(_ZN5boost6detail8function21function_obj_invoker1INS_3_bi6bind_tIN3grt8ValueRefENS_4_mfi3mf4IS6_N2wb19WBComponentPhysicalEPNS5_3GRTEPNS9_16ModelDiagramFormERKN5MySQL8Geometry5PointENS9_10ObjectTypeEEENS3_5list5INS3_5valueIPSA_EENS_3argILi1EEENSN_ISE_EENSN_ISH_EENSN_ISK_EEEEEES6_SC_E6invokeERNS1_15function_bufferESC_+0x28)[0xaee938]
:00400000-00ef4000 r-xp 00000000 fd:02 176188                             /usr/bin/mysql-workbench-bin.#prelink#.MiDqRw (deleted)
:010f4000-010f5000 r--p 00af4000 fd:02 176188                             /usr/bin/mysql-workbench-bin.#prelink#.MiDqRw (deleted)
:010f5000-010fa000 rw-p 00af5000 fd:02 176188                             /usr/bin/mysql-workbench-bin.#prelink#.MiDqRw (deleted)
Comment 1 oliver.zemann 2012-07-08 04:45:34 EDT
Created attachment 596858 [details]
File: backtrace
Comment 2 oliver.zemann 2012-07-08 04:45:36 EDT
Created attachment 596859 [details]
File: smolt_data
Comment 3 oliver.zemann 2012-07-08 04:45:38 EDT
Created attachment 596860 [details]
File: maps
Comment 4 oliver.zemann 2012-07-08 04:45:40 EDT
Created attachment 596861 [details]
File: dso_list
Comment 5 oliver.zemann 2012-07-08 04:45:42 EDT
Created attachment 596862 [details]
File: build_ids
Comment 6 Remi Collet 2012-09-12 08:48:51 EDT
mysql-workbench-5.2.42-2 has been pushed to the Fedora stable repository.

Note You need to log in before you can comment on or make changes to this bug.